Bug 732206 - ATI HD3650 (GL5700) can only boot once without manual intervention
Summary: ATI HD3650 (GL5700) can only boot once without manual intervention
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:modesetting]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-20 17:39 UTC by jan vestby
Modified: 2018-04-11 12:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:31:42 UTC


Attachments (Terms of Use)
Xorg.0.log when OK (60.12 KB, text/plain)
2011-08-20 17:39 UTC, jan vestby
no flags Details
Xorg log when failing (4.59 KB, text/plain)
2011-08-20 17:43 UTC, jan vestby
no flags Details
Xorg log when OK (68.15 KB, text/plain)
2011-08-22 11:56 UTC, jan vestby
no flags Details
dmesg when OK (123.44 KB, text/plain)
2011-08-22 11:57 UTC, jan vestby
no flags Details
Xorg log in fwhen failing:: no ati card (37.68 KB, text/plain)
2011-08-22 12:00 UTC, jan vestby
no flags Details
dmesg when failing (122.83 KB, text/plain)
2011-08-22 12:01 UTC, jan vestby
no flags Details

Description jan vestby 2011-08-20 17:39:35 UTC
Created attachment 519152 [details]
Xorg.0.log when OK

Description of problem:
On reboot grahics driver do not recognise grahics card.
HW: Lenovo W500 laptop with ATI GL5700 (HD 3650) graphics

Version-Release number of selected component (if applicable):
never worked in FC15

How reproducible:
Happens every time.

Steps to Reproduce:
1. Boot Fedora: everything OK
2. Reboot

  
Actual results:
Completely frozen screen

Expected results:
Login screen

Additional info: Think this is related to the firmware juggling pci id's according to mode of operation

Comment 1 jan vestby 2011-08-20 17:43:56 UTC
Created attachment 519153 [details]
Xorg log when failing

The failure case shows both the PIC ids of both the ATI card, and the builtin grahics of the chipset. The ATI card has slightly different id numbers.

Comment 2 Matěj Cepl 2011-08-22 10:01:24 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, remove nomodeset, remove /etc/X11/xorg.conf, restart computer, and attach

* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 jan vestby 2011-08-22 11:56:16 UTC
Created attachment 519268 [details]
Xorg log when OK

Comment 4 jan vestby 2011-08-22 11:57:29 UTC
Created attachment 519269 [details]
dmesg when OK

Comment 5 jan vestby 2011-08-22 12:00:24 UTC
Created attachment 519270 [details]
Xorg log in fwhen failing:: no ati card

with xorg.conf removed we get to use the onboard intel graphics
this state of affairs persist untill the ati card is reset manually

Comment 6 jan vestby 2011-08-22 12:01:35 UTC
Created attachment 519271 [details]
dmesg when failing

Comment 7 Fedora End Of Life 2012-08-07 16:31:44 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.